﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
 

namespace TemplateColumnWithCombo
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            xamGrid1.ItemsSource = new List<Data> { new Data { Organization = new Organization { ID = 1 } } };
        }
    }

    public class Orgs : List<Organization>
    {
        public Orgs()
        {
            Add(new Organization { ID = 1, Name = "item 1" });
            Add(new Organization { ID = 2, Name = "item 2" });
            Add(new Organization { ID = 3, Name = "item 3" });
            Add(new Organization { ID = 4, Name = "item 4" });
        }
    }

    public class Data
    {
        public Organization Organization { get; set; }
    }

    public class Organization
    {
        public int ID { get; set; }
        public string Name { get; set; }

        public override bool Equals(object obj)
        {
            if (obj is Organization)
            {
                return ID == (obj as Organization).ID;
            }
            return false;
        }
    }


}
